http_response_code
inet_pton
Network Functions
PHP Manual

# inet_ntop

Converts a packed internet address to a human readable representation

### Description

string inet_ntop ( string `$in_addr` )

This function converts a 32bit IPv4, or 128bit IPv6 address (if PHP was built with IPv6 support enabled) into an address family appropriate string representation.

### Parameters

`in_addr`

  A 32bit IPv4, or 128bit IPv6 address.

### Return Values

Returns a string representation of the address or `FALSE` on failure.

### Examples

Example #1 inet_ntop Example

`<?php
$packed = chr(127) . chr(0) . chr(0) . chr(1);
$expanded = inet_ntop($packed);
/* Outputs: 127.0.0.1 */
echo $expanded;
$packed = str_repeat(chr(0), 15) . chr(1);
$expanded = inet_ntop($packed);
/* Outputs: ::1 */
echo $expanded;
?>`

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms.

### See Also

- long2ip
- ip2long
- inet_pton